Package weka.gui.beans

# Interface KnowledgeFlowApp.KFPerspective

All Known Implementing Classes:
  `AttributeSummarizer`, `KnowledgeFlowApp.MainKFPerspective`, `ScatterPlotMatrix`, `SQLViewerPerspective`

Enclosing class:
  KnowledgeFlowApp

public static interface KnowledgeFlowApp.KFPerspective
Interface for perspectives.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `acceptsInstances()`
  Returns true if this perspective accepts instances
  `Icon`
  `getPerspectiveIcon()`
  Get the icon for this perspective.
  `String`
  `getPerspectiveTipText()`
  Get the tool tip text for this perspective.
  `String`
  `getPerspectiveTitle()`
  Get the title of this perspective
  `void`
  `setActive(boolean active)`
  Set active status of this perspective.
  `void`
  `setInstances(Instances insts)`
  Set instances (if the perspective accepts them)
  `void`
  `setLoaded(boolean loaded)`
  Set whether this perspective is "loaded" - i.e.
  `void`
  `setMainKFPerspective(KnowledgeFlowApp.MainKFPerspective main)`
  Set a reference to the main KnowledgeFlow perspective - i.e.

- ## Method Details

  - ### setInstances

    void setInstances(Instances insts) throws Exception
    Set instances (if the perspective accepts them)
    Parameters:
      `insts` - the instances
    Throws:
      `Exception`

  - ### acceptsInstances

    boolean acceptsInstances()
    Returns true if this perspective accepts instances
    Returns:
      true if this perspective can accept instances

  - ### getPerspectiveTitle

    String getPerspectiveTitle()
    Get the title of this perspective
    Returns:
      the title of this perspective

  - ### getPerspectiveTipText

    String getPerspectiveTipText()
    Get the tool tip text for this perspective.
    Returns:
      the tool tip text for this perspective

  - ### getPerspectiveIcon

    Icon getPerspectiveIcon()
    Get the icon for this perspective.
    Returns:
      the Icon for this perspective (or null if the perspective does not have an icon)

  - ### setActive

    void setActive(boolean active)
    Set active status of this perspective. True indicates that this perspective is the visible active perspective in the KnowledgeFlow
    Parameters:
      `active` - true if this perspective is the active one

  - ### setLoaded

    void setLoaded(boolean loaded)
    Set whether this perspective is "loaded" - i.e. whether or not the user has opted to have it available in the perspective toolbar. The perspective can make the decision as to allocating or freeing resources on the basis of this.
    Parameters:
      `loaded` - true if the perspective is available in the perspective toolbar of the KnowledgeFlow

  - ### setMainKFPerspective

    void setMainKFPerspective(KnowledgeFlowApp.MainKFPerspective main)
    Set a reference to the main KnowledgeFlow perspective - i.e. the perspective that manages flow layouts.
    Parameters:
      `main` - the main KnowledgeFlow perspective.